search cancel

Error: 'IT Analytics Data Loss Prevention Connection must be installed' even though a DLP connection is defined

book

Article ID: 163024

calendar_today

Updated On:

Products

IT Analytics

Issue/Introduction

When attempting to install cubes for the Data Loss Prevention content pack for IT Analytics, the ITA console indicates pre-requisites for the DLP cubes haven't been meet with the error 'IT Analytics Data Loss Prevention Connection must be installed'.

Cause

Data Loss Prevention versions 14 and above support the use of Oracle 12; however, DLP for ITA content packs prior to version 15.7 hadn't been updated to support this version of Oracle, resulting in four necessary functions and views not being created during installation. This affects both the stand alone version of IT Analytics and the Data Loss Prevention 3.7 report pack for ITMS.

Resolution

Support for Oracle 12c is provided via the DLP for ITA 15.7 content pack.